﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data;
using System.Diagnostics;
using Vol3MVCsampleSQL.Models;

namespace Vol3MVCsampleSQL
{
    public class Data
    {
        public List<TaskData> GetChildTableRows(DataTable dtData)
        {
            List<TaskData> lstRows = new List<TaskData>();

            int columnIndex = 0;
            columnIndex = 0;

            foreach (DataRow dr in dtData.Rows)
            {
                columnIndex = 0;
                TaskData task = new TaskData();
                object test = null;

                foreach (DataColumn col in dtData.Columns)
                {
                    if (col.ColumnName == "TaskID")
                    {
                        task.TaskId = int.Parse(dr.ItemArray[columnIndex].ToString());
                    }
                    else if (col.ColumnName == "Description")
                    {
                        task.TaskName = dr.ItemArray[columnIndex].ToString();
                    }
                    else if (col.ColumnName == "Start")
                    {
                        task.StartDate = dr.ItemArray[columnIndex].ToString();

                    }
                    else if (col.ColumnName == "Date Completed")
                    {
                        task.EndDate =dr.ItemArray[columnIndex].ToString();

                    }
                    else if (col.ColumnName == "Status")
                    {
                        task.Progress = dr.ItemArray[columnIndex].ToString();

                    }

                    columnIndex = columnIndex + 1;
                }
                lstRows.Add(task);

            }
            return lstRows;
        }

        public List<TaskData> GetParentTableRows(DataTable dtData)
        {
            List<TaskData> lstRows = new List<TaskData>();

            int columnIndex = 0;
            columnIndex = 0;

            foreach (DataRow dr in dtData.Rows)
            {
                columnIndex = 0;
                TaskData task = new TaskData();

                foreach (DataColumn col in dtData.Columns)
                {
                    if (col.ColumnName == "TaskId")
                    {
                        task.TaskId = int.Parse(dr.ItemArray[columnIndex].ToString());

                    }
                    else if (col.ColumnName == "TaskName")
                    {
                        task.TaskName = dr.ItemArray[columnIndex].ToString();


                    }
                    else if (col.ColumnName == "StartDate")
                    {
                        task.StartDate =dr.ItemArray[columnIndex].ToString();

                    }
                    else if (col.ColumnName == "EndDate")
                    {
                        task.EndDate = dr.ItemArray[columnIndex].ToString();

                    }
                    else if (col.ColumnName == "Progress")
                    {
                        task.Progress = dr.ItemArray[columnIndex].ToString();

                    }
                   
                    else if (col.ColumnName == "ParentId")
                    {
                        task.ParentId = dr.ItemArray[columnIndex].ToString();

                    }
                    else if (col.ColumnName == "Predecessor")
                    {
                        task.Predecessor = dr.ItemArray[columnIndex].ToString();

                    }
                    else if (col.ColumnName == "Duration")
                    {
                        task.Duration = int.Parse(dr.ItemArray[columnIndex].ToString());

                    }

                    columnIndex = columnIndex + 1;
                }
                lstRows.Add(task);

            }
            return lstRows;
        }
    }
}